{"openapi":"3.0.0","servers":[{"url":"https:\/\/digihub.telkomsel.com"}],"info":{"title":"API tScore Premium","version":"1.0.0"},"paths":{"\/digihub\/v1\/tscore\/premium":{"post":{"summary":"API tScore Premium","operationId":"telcoScore","description":"This API tScore Premium can leverage telco\u2019s dynamic subscriber profiling of a Mobile Station International Subscriber Directory Number (MSISDN) based on user\u2019s behavioural activities, mobility patterns and link analysis of social network with other subscribers to formulate a financial rating for the user which then can be used by Financial Institutions to formulate generic telco score all Tekomsel\u2019s MSISDN subscribers based on their telco data","parameters":[{"in":"header","name":"api_key","example":"[api_key]","description":"API Key \/ Package Key from Digihub","required":true,"schema":{"type":"string"}},{"in":"header","name":"x-signature","example":"[x-signature]","description":"SHA256 (API Key + Secret Key + timeStamp). [More info](https:\/\/digihub.telkomsel.com\/documentation\/consumer-guide\/api-key-api-secret)","required":true,"schema":{"type":"string"}},{"in":"header","name":"Content-Type","required":true,"schema":{"type":"string","enum":["application\/json"]}}],"requestBody":{"content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/RequestBody"}}}},"responses":{"200":{"description":"Success (the score result shows the probability score of default if given a loan product, it ranges from 0 to 1. the higher the score the riskier the customer).","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodySuccess"}}}},"400":{"description":"Empty Mandatory Parameter \/ Invalid MSISDN \/ Invalid Timestamp","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"examples":{"Empty Mandatory Parameter":{"value":{"transaction_id":"C002190726165745657448250","status_code":"20001","status_desc":"Empty mandatory parameter"}},"Invalid MSISDN":{"value":{"transaction_id":"C002190726165745657448250","status_code":"20002","status_desc":"INVALID MSISDN"}},"Invalid Timestamp":{"value":{"transaction_id":"C002190726165745657448250","status_code":"20101","status_desc":"Invalid Timestamp"}}}}}},"500":{"description":"Internal Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"example":{"transaction_id":"C002190726165745657448250","status_code":"40000","status_desc":"ESB Internal Error"}}}},"502":{"description":"Backend Internal Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"example":{"transaction_id":"C002190726165745657448250","status_code":"30xxx","status_desc":"Service provider error: {consumer}-{provider}-{service provider error description}"}}}},"503":{"description":"Service provider unreachable","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"example":{"transaction_id":"C002190726165745657448250","status_code":"10001","status_desc":"Service provider unreachable"}}}},"504":{"description":"Service provider response timeout","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"example":{"transaction_id":"C002190726165745657448250","status_code":"10004","status_desc":"Service provider response timeout"}}}}}}}},"components":{"schemas":{"RequestBody":{"type":"object","required":["transaction","request","consent"],"properties":{"transaction":{"$ref":"#\/components\/schemas\/RequestTransaction"},"request":{"$ref":"#\/components\/schemas\/Request"},"consent":{"$ref":"#\/components\/schemas\/RequestConsent"}}},"RequestTransaction":{"type":"object","required":["transaction_id"],"properties":{"transaction_id":{"description":"Transaction ID","type":"string","example":"C002190726165745657448250"}}},"Request":{"type":"object","required":["msisdn","table_code"],"properties":{"msisdn":{"description":"Customer Service ID. (MSISDN for Telkomsel subscriber) starts with \u201c62\u201d for Indonesia calling code.","type":"string","example":"6281299999999"},"table_code":{"description":"table_code value will be mapped to a table score which is specific for each partner","type":"string","example":"mwa0adianwaxagqamqbk"}}},"RequestConsent":{"type":"object","required":["consent_id","partner_id"],"properties":{"consent_id":{"description":"Consent id which is registered","type":"string","example":"XvbWQQhjc06MeEEb\/6dxC6j3PCNi7tN6myM+s8E8bCfnRawaTfvRw+4KdBoZSdfgMcUHuIkseSqCNN+aubtwYW\/fkLS\/wQp8AMI854jJoQ=="},"partner_id":{"description":"Partner identification given by Telkomsel.","type":"string","example":"TfbQQQhjcxLmEzZ61NYMEtbHG1cahqRVghRW2aV1OzjsRagYGviEyOhbMR4="}}},"ResponseBodySuccess":{"type":"object","required":["transaction","response"],"properties":{"transaction":{"$ref":"#\/components\/schemas\/ResponseTransaction"},"response":{"$ref":"#\/components\/schemas\/ResponsetScorePremium"}}},"ResponseTransaction":{"type":"object","required":["transaction_id"],"properties":{"transaction_id":{"description":"Transaction ID","type":"string","example":"C002190726165745657448250"},"status_code":{"description":"Status Code","type":"string","example":"00000"},"status_desc":{"description":"Status Description","type":"string","example":"Success"}}},"ResponsetScorePremium":{"type":"object","required":["score"],"properties":{"score":{"description":"A decimal\/integer string representing score of default probability of an MSISDN","type":"string","example":"0.0018529155567403996"}}},"ResponseBodyError":{"type":"object","required":["transaction"],"properties":{"transaction_id":{"description":"Transaction ID","type":"string","example":"C002190726165745657448250"},"status_code":{"description":"Status Code","type":"string","example":"20012"},"status_desc":{"description":"Status Description","type":"string","example":"table_code is not exist"}}}}}}